Qt 5.11 | Qt Multimedia | C++ Classes | QCameraImageCaptureControl

Qt 5.11.3 Reference Documentation

# QCameraImageCaptureControl Class

The QCameraImageCaptureControl class provides a control interface for image capture services. More...

Header: | #include <QCameraImageCaptureControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QCameraImageCaptureControl()
virtual void | cancelCapture() = 0
virtual int | capture(const QString &fileName) = 0
virtual QCameraImageCapture::DriveMode | driveMode() const = 0
virtual bool | isReadyForCapture() const = 0
virtual void | setDriveMode(QCameraImageCapture::DriveMode mode) = 0

## Signals

void | error(int id, int error, const QString &errorString)
void | imageAvailable(int requestId, const QVideoFrame &buffer)
void | imageCaptured(int requestId, const QImage &preview)
void | imageExposed(int requestId)
void | imageMetadataAvailable(int id, const QString &key, const QVariant &value)
void | imageSaved(int requestId, const QString &fileName)
void | readyForCaptureChanged(bool ready)

## Protected Functions

| QCameraImageCaptureControl(QObject *parent = nullptr)

## Macros

| QCameraImageCaptureControl_iid

## Detailed Description

The QCameraImageCaptureControl class provides a control interface for image capture services.

The interface name of QCameraImageCaptureControl is `org.qt-project.qt.cameraimagecapturecontrol/5.0` as defined in QCameraImageCaptureControl_iid.

See also QMediaService::requestControl().

## Member Function Documentation

### `[protected]` QCameraImageCaptureControl::QCameraImageCaptureControl(QObject *parent = nullptr)

Constructs a new image capture control object with the given parent

### `[virtual]` QCameraImageCaptureControl::~QCameraImageCaptureControl()

Destroys an image capture control.

### `[pure virtual]` void QCameraImageCaptureControl::cancelCapture()

### `[pure virtual]` int QCameraImageCaptureControl::capture(const QString &fileName)

### `[pure virtual]` QCameraImageCapture::DriveMode QCameraImageCaptureControl::driveMode() const

See also setDriveMode().

### `[signal]` void QCameraImageCaptureControl::error(int id, int error, const QString &errorString)

### `[signal]` void QCameraImageCaptureControl::imageAvailable(int requestId, const QVideoFrame &buffer)

### `[signal]` void QCameraImageCaptureControl::imageCaptured(int requestId, const QImage &preview)

### `[signal]` void QCameraImageCaptureControl::imageExposed(int requestId)

### `[signal]` void QCameraImageCaptureControl::imageMetadataAvailable(int id, const QString &key, const QVariant &value)

### `[signal]` void QCameraImageCaptureControl::imageSaved(int requestId, const QString &fileName)

### `[pure virtual]` bool QCameraImageCaptureControl::isReadyForCapture() const

### `[signal]` void QCameraImageCaptureControl::readyForCaptureChanged(bool ready)

### `[pure virtual]` void QCameraImageCaptureControl::setDriveMode(QCameraImageCapture::DriveMode mode)

See also driveMode().

## Macro Documentation

### QCameraImageCaptureControl_iid

`org.qt-project.qt.cameraimagecapturecontrol/5.0`

Defines the interface name of the QCameraImageCaptureControl class.